activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-4187) [osgi] activemq feature failed to install on Karaf 2.3.0
Date Tue, 27 Nov 2012 09:43:58 GMT

    [ https://issues.apache.org/jira/browse/AMQ-4187?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13504489#comment-13504489
] 

Claus Ibsen commented on AMQ-4187:
----------------------------------

Hold on guys.

5.8-SNAPSHOT is in heavy development of modularizing ActiveMQ into smaller modules.
We will get it working with Karaf when its to be released.

Please only open tickets about released version of AMQ.
                
> [osgi] activemq feature failed to install on Karaf 2.3.0
> --------------------------------------------------------
>
>                 Key: AMQ-4187
>                 URL: https://issues.apache.org/jira/browse/AMQ-4187
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.8.0
>         Environment: Karaf 2.3.0
>            Reporter: Carlos D. Morales
>            Priority: Minor
>             Fix For: 5.8.0
>
>
> A fresh install of Karaf 2.3.0, the configuration of the URL for the ActiveMQ 5.8-SNAPSHOT
features and the installation of the 'activemq' feature give me the errors below. Please notice
that I manually tried to install *commons-daemon/commons-daemon/1.0.10* to see if I could
get any further but I had no luck.
> {noformat}
>         __ __                  ____      
>        / //_/____ __________ _/ __/      
>       / ,<  / __ `/ ___/ __ `/ /_        
>      / /| |/ /_/ / /  / /_/ / __/        
>     /_/ |_|\__,_/_/   \__,_/_/         
>   Apache Karaf (2.3.0)
> Hit '<tab>' for a list of available commands
> and '[cmd] --help' for help on a specific command.
> Hit '<ctrl-d>' or 'osgi:shutdown' to shutdown Karaf.
> karaf@root> features:addurl mvn:org.apache.activemq/activemq-karaf/5.8-SNAPSHOT/xml/features
> karaf@root> features:install activemq
> Error executing command: Could not start bundle mvn:org.apache.activemq/activemq-core/5.8-SNAPSHOT
in feature(s) activemq-5.8-SNAPSHOT: Unresolved constraint in bundle org.apache.activemq.activemq-core
[75]: Unable to resolve 75.0: missing requirement [75.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.commons.daemon)(version>=1.0.0)(!(version>=2.0.0)))
> karaf@root> osgi:install mvn:commons-daemon/commons-daemon/1.0.10
> Bundle ID: 81
> karaf@root> features:install activemq
> Error executing command: Could not start bundle mvn:org.apache.activemq/activemq-core/5.8-SNAPSHOT
in feature(s) activemq-5.8-SNAPSHOT: Unresolved constraint in bundle org.apache.activemq.activemq-core
[103]: Unable to resolve 103.0: missing requirement [103.0] osgi.wiring.package; (osgi.wiring.package=org.apache.hadoop.conf)
> {noformat}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message